<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Firma\KursUebersicht\Detailsreiter\Dokumente\DokumenteUpload;

class DokumenteUploadFormularView extends \Kufer\Web\KuferTools\Basis\Kursdetails\DetailsReiter\Dokumente\DokumenteUpload\DokumenteUploadFormularView
{
  public function getTemplatePathRelative()
  {
    return 'firma/kursuebersicht/detailsreiter/dokumente_upload.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    return array_map(function($kurs) {
      $kurs->belegId = $this->viewModel->belegId;

      return $kurs;
    }, parent::getDefaultDataModulArray());
  }
}

class DokumenteUploadFormularViewModel extends \Kufer\Web\KuferTools\Basis\Kursdetails\DetailsReiter\Dokumente\DokumenteUpload\DokumenteUploadFormularViewModel
{
  public $belegId;
}